SReview::Schedule::Base::Room(3pm)

NAME
SReview::Schedule::Base::Room

DESCRIPTION
A class to hold a room.

ATTRIBUTES

event_object
    The "SReview::Schedule::Base::Event" (or subclass) object that this room is part of. Required at construction time; this is a weak reference.

name
    The name of the room.

altname
    An alternative name for the room. This is the name of the room by which sreview-detect will assign video files to rooms.

outputname
    The output name for the room. This is the name of the room as used by sreview-transcode and sreview-upload, i.e., the directory in which files are stored in the output system.